[Bugs] [Bug 294] New: dhcpcd 4.x patch should be applied to dhcpcd 5.x as well

bugzilla-daemon at exherbo.org bugzilla-daemon at exherbo.org
Tue Aug 24 18:27:57 BST 2010


https://bugs.exherbo.org/show_bug.cgi?id=294

           Summary: dhcpcd 4.x patch should be applied to dhcpcd 5.x as well
           Product: Repositories
           Version: unspecified
          Platform: All
        OS/Version: Linux
            Status: NEW
          Severity: normal
          Priority: P5
         Component: Packages
        AssignedTo: unassigned at exherbo.org
        ReportedBy: tom at giftssoft.com
           Package: sys-apps/baselayout-1.12.13


dhcpcd 5.x, like dhcpcd 4.x, uses the "-C" (--nohook) option rather than the
"-R", "-N", and "-Y" options.  In fact "-R", "-N", and "-Y" are invalid.  This
can be confirmed by checking the latest dhcpcd manpage at Roy's website. 
Therefore, baselayout-1.12.12-dhcpcd-4.x-compatibility.patch should be applied
to dhcpcd 5.x as well.  This could be done by changing the line:

if dhcpcd --version | grep -q 'dhcpcd 4.' ; then

to:

if dhcpcd --version | grep -q 'dhcpcd [45]\.' ; then


-- 
Configure bugmail: https://bugs.exherbo.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are watching all bug changes.



More information about the Bugs mailing list